public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/asciidoctor-diagram/
Date: Fri, 17 Apr 2020 04:39:16 +0000 (UTC)	[thread overview]
Message-ID: <1587098170.de9886295fda67696ed60d0bb9bdefcc883672ae.graaff@gentoo> (raw)

commit:     de9886295fda67696ed60d0bb9bdefcc883672ae
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 17 04:36:10 2020 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Apr 17 04:36:10 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de988629

dev-ruby/asciidoctor-diagram: add 2.0.2

Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/asciidoctor-diagram/Manifest              |  1 +
 .../asciidoctor-diagram-2.0.2.ebuild               | 37 ++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/dev-ruby/asciidoctor-diagram/Manifest b/dev-ruby/asciidoctor-diagram/Manifest
index a362b8814ae..eddb9fa369d 100644
--- a/dev-ruby/asciidoctor-diagram/Manifest
+++ b/dev-ruby/asciidoctor-diagram/Manifest
@@ -1,3 +1,4 @@
 DIST asciidoctor-diagram-1.5.18.tar.gz 11705290 BLAKE2B d5c1a6047af1a1a5c1b08ccb180dfa57057213df2f8a9ec8aef6608bc34501aa979cb30c2c8b196e0039be24d8c5ba9e81d902f603e9624402eaa7e93d800169 SHA512 f3341ffd0b9f7eb994b478ebb81f668a30fa338cf76cfba638032d5b80203b304776cee4d1f575270105af9b51dc6d0a80604e92e2ad54760dfa9b73ffa794cb
 DIST asciidoctor-diagram-1.5.19.tar.gz 11707367 BLAKE2B 2088d2a7b424b9a716204e607d6e4c3bb7521b2098caad131210c163ade6f8a07872793945829d6b1e6e88a9d04126738eb439c968e99f326baddc310b48de0e SHA512 14270c8ea0e63163e01171695ecb99f5ef9667e2ec50b26e56495a1fc2c0e8af97fc784f5decb8fc75f1830581a9bc658d699af6aeee52adc20adad82cb1aed9
 DIST asciidoctor-diagram-2.0.1.tar.gz 12026822 BLAKE2B 867d35415d4259533047bdec40ddd7984b62356fb8e84a2cc722188b64691098b598e58d7e6760df2609956b7bc2c8dfd314f742da83589c2f1e4c7909e86899 SHA512 01e77a6d8a278d5f79a039ece6c79f4e500ec4477231cdadd8e36c8935ce71118beb4f1ec6e691b208977ea14243db0e799b2ff5e2f1f6326ee13a321628393f
+DIST asciidoctor-diagram-2.0.2.tar.gz 12481283 BLAKE2B f0b12514a7b16f6ab8c3a072aa9550ecfe0c8139e8f9ec1ea660a805813f942530519e4d90357e9b28d5d0e6c48bb9aff5dc1d56bfbe1cb15095653a8311c62c SHA512 8a72ee61b7341c516d1d34610a7cd0cd6d0c8dbd4b970b79c3b313f1230a0cc79ff47fcf553c2de144bd3f1f922183f0236354651a255023ce14b04f17195ee7

diff --git a/dev-ruby/asciidoctor-diagram/asciidoctor-diagram-2.0.2.ebuild b/dev-ruby/asciidoctor-diagram/asciidoctor-diagram-2.0.2.ebuild
new file mode 100644
index 00000000000..ba3ba2f1a00
--- /dev/null
+++ b/dev-ruby/asciidoctor-diagram/asciidoctor-diagram-2.0.2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.adoc LICENSE.txt README.adoc"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="A set of Asciidoctor extensions that enable you to add diagrams"
+HOMEPAGE="https://github.com/asciidoctor/asciidoctor-diagram"
+SRC_URI="https://github.com/asciidoctor/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/asciidoctor-1.5.7 <dev-ruby/asciidoctor-3"
+
+all_ruby_prepare() {
+	rm Gemfile || die
+	sed -i -e '/c.formatter/ s:^:#:' spec/test_helper.rb || die
+
+	# Avoid specs for unpackaged tools
+	rm -f spec/{a2s,blockdiag,bpmn,bytefield,erd,mermaid,msc,nomnoml,shaape,smcat,svgbob,syntrax,umlet,vega,wavedrom}_spec.rb || die
+}
+
+all_ruby_install() {
+	all_fakegem_install
+}


             reply	other threads:[~2020-04-17  4:39 UTC|newest]

Thread overview: 44+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-04-17  4:39 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-13  6:10 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/asciidoctor-diagram/ Hans de Graaff
2024-04-04  6:06 Hans de Graaff
2023-11-03 14:21 Hans de Graaff
2023-11-03 14:21 Hans de Graaff
2023-09-10  6:52 Hans de Graaff
2023-09-09  9:21 Hans de Graaff
2023-04-08  9:10 Hans de Graaff
2022-07-25 10:10 Hans de Graaff
2022-07-25  5:23 Hans de Graaff
2022-07-25  5:23 Hans de Graaff
2022-05-08  5:44 Hans de Graaff
2021-07-07 17:38 Hans de Graaff
2021-07-07 17:38 Hans de Graaff
2021-04-10  6:17 Hans de Graaff
2020-10-02  5:15 Hans de Graaff
2020-09-19  5:35 Hans de Graaff
2020-09-16  6:15 Hans de Graaff
2020-04-09  4:13 Hans de Graaff
2020-02-17  6:04 Hans de Graaff
2019-10-13  6:38 Hans de Graaff
2019-06-01  5:23 Hans de Graaff
2019-05-29 15:22 Hans de Graaff
2019-05-04  9:23 Hans de Graaff
2019-04-21  6:11 Hans de Graaff
2019-04-21  6:11 Hans de Graaff
2019-04-15  4:42 Hans de Graaff
2019-03-14  5:56 Hans de Graaff
2019-02-27  6:10 Hans de Graaff
2019-02-27  6:10 Hans de Graaff
2019-01-31  7:35 Hans de Graaff
2019-01-22  6:27 Hans de Graaff
2018-11-19  5:43 Hans de Graaff
2018-09-08  6:30 Hans de Graaff
2018-05-06 18:52 Hans de Graaff
2018-05-06  6:37 Hans de Graaff
2018-03-30  6:13 Hans de Graaff
2018-01-27  7:18 Hans de Graaff
2017-08-12  5:14 Hans de Graaff
2017-04-29  5:37 Hans de Graaff
2017-04-29  5:37 Hans de Graaff
2017-01-20  6:40 Hans de Graaff
2016-07-25  5:28 Hans de Graaff
2016-06-05  8:39 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1587098170.de9886295fda67696ed60d0bb9bdefcc883672ae.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox